public interface ICollectionService{
    public List<Collection> getAllCollections();
    public Collection getCollectionById(long isbn);
    public List<Collection> getAllCollectionsByName(String name);
    public void deleteColletionById(long isbn);
    public void deleteColletionByName(String name);
    public void deleteAllColletionByName(String name);
    public void addCollection(Collection collection);
    public void addCollections(List<Collection> collection);
    public void modifyCollectionName(Collection collection, String name);
    public void modifyCollectionNameById(long isbn, String name);
    public List<Article> getAllArticles(Collection collection);
    public void addArticle(Collection collection, Article article);
    public void deleteArticle(Collection collection, Article article);
}